> ## Documentation Index
> Fetch the complete documentation index at: https://wato.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Campaign

> This api is to send campaigns instantly.

| **field_names** | **description** | **comment** |
| --- | --- | --- |
| name | string |  |
| desc | string |  |
| html | string |  |
| image | string | base64 string of media file |
| group_metadata_ids | number\[\] |  |
| is_channel_campaign | boolean |  |
| is_schedule | boolean |  |
| schedule_time | Datetime |  |

- **Headings (****`h1`****,** **`h2`****,** **`h3`****,** **`h4`****,** **`h5`****,** **`h6`****)** for formatting text as bold in WhatsApp.
- _Emphasis tags (__**`i`**__,_ _`em`____)_ for italicizing text.
- **Strong emphasis tags (****`b`****,** **`strong`****)** for bold text.
- Paragraphs (`p`) and line breaks (`br`) for managing text flow and spacing.
- Hyperlinks (`a`) for including clickable links.
- Lists (`ul` for unordered lists and `ol` for ordered lists) and list items (`li`) for formatting lists.
- `Span` (`span`) for inline text formatting without additional styling.  
      
    Please note that the html will be mapped to whatsapp format, this might create some discrepancy in formatting.



## OpenAPI

````yaml post /api/v1/venom/add-campaign
openapi: 3.0.0
info:
  title: wato-external
  description: >-
    [Wato.ai](https://wato.ai) is a zero-cost messaging platform focused on
    WhatsApp groups and community retargeting. It allows for the management and
    growth of WhatsApp channels, aiming to save companies their WhatsApp
    marketing costs by ensuring 100% message delivery at no cost. The platform
    highlights its effectiveness in delivering messages compared to other
    channels like SMS, emails, and mobile app notifications, offering insights
    and analytics to elevate decision-making processes and strategies for growth
  version: 1.0.0
servers:
  - url: http://{{base_url}}
security: []
paths:
  /api/v1/venom/add-campaign:
    post:
      tags:
        - default
      summary: add-campaign (send now)
      description: >-
        This api is to send campaigns instantly.


        | **field_names** | **description** | **comment** |

        | --- | --- | --- |

        | name | string |  |

        | desc | string |  |

        | html | string |  |

        | image | string | base64 string of media file |

        | group_metadata_ids | number\[\] |  |

        | is_channel_campaign | boolean |  |

        | is_schedule | boolean |  |

        | schedule_time | Datetime |  |


        - **Headings (****`h1`****,** **`h2`****,** **`h3`****,** **`h4`****,**
        **`h5`****,** **`h6`****)** for formatting text as bold in WhatsApp.

        - _Emphasis tags (__**`i`**__,_ _`em`____)_ for italicizing text.

        - **Strong emphasis tags (****`b`****,** **`strong`****)** for bold
        text.

        - Paragraphs (`p`) and line breaks (`br`) for managing text flow and
        spacing.

        - Hyperlinks (`a`) for including clickable links.

        - Lists (`ul` for unordered lists and `ol` for ordered lists) and list
        items (`li`) for formatting lists.

        - `Span` (`span`) for inline text formatting without additional
        styling.  
              
            Please note that the html will be mapped to whatsapp format, this might create some discrepancy in formatting.
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
          example: Bearer {{token}}
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                name: send-now-4
                desc: '1'
                html: <p>send-now-4</p>
                image: null
                group_metadata_ids:
                  - 8
                is_channel_campaign: true
                is_schedule: false
                schedule_time: '2023-12-22 12:18:00'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}

````